/* Generated by wayland-scanner 1.23.1 */

/*
 * Copyright © 2023 Canonical Limited
 *
 * Permission to use, copy, modify, distribute, and sell this
 * software and its documentation for any purpose is hereby granted
 * without fee, provided that the above copyright notice appear in
 * all copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * the copyright holders not be used in advertising or publicity
 * pertaining to distribution of the software without specific,
 * written prior permission.  The copyright holders make no
 * representations about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied
 * warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 */

#include <stdbool.h>
#include <stdlib.h>
#include <stdint.h>
#include "wayland-util.h"

#ifndef __has_attribute
# define __has_attribute(x) 0  /* Compatibility with non-clang compilers. */
#endif

#if (__has_attribute(visibility) || defined(__GNUC__) && __GNUC__ >= 4)
#define WL_PRIVATE __attribute__ ((visibility("hidden")))
#else
#define WL_PRIVATE
#endif

extern const struct wl_interface mir_dialog_surface_v1_interface;
extern const struct wl_interface mir_floating_regular_surface_v1_interface;
extern const struct wl_interface mir_positioner_v1_interface;
extern const struct wl_interface mir_regular_surface_v1_interface;
extern const struct wl_interface mir_satellite_surface_v1_interface;
extern const struct wl_interface wl_surface_interface;

static const struct wl_interface *mir_shell_unstable_v1_types[] = {
	NULL,
	NULL,
	NULL,
	NULL,
	&mir_regular_surface_v1_interface,
	&wl_surface_interface,
	&mir_floating_regular_surface_v1_interface,
	&wl_surface_interface,
	&mir_dialog_surface_v1_interface,
	&wl_surface_interface,
	&mir_satellite_surface_v1_interface,
	&wl_surface_interface,
	&mir_positioner_v1_interface,
	&mir_positioner_v1_interface,
	&mir_positioner_v1_interface,
	NULL,
};

static const struct wl_message mir_shell_v1_requests[] = {
	{ "get_regular_surface", "no", mir_shell_unstable_v1_types + 4 },
	{ "get_floating_regular_surface", "no", mir_shell_unstable_v1_types + 6 },
	{ "get_dialog_surface", "no", mir_shell_unstable_v1_types + 8 },
	{ "get_satellite_surface", "noo", mir_shell_unstable_v1_types + 10 },
	{ "create_positioner", "n", mir_shell_unstable_v1_types + 13 },
	{ "destroy", "", mir_shell_unstable_v1_types + 0 },
};

WL_PRIVATE const struct wl_interface mir_shell_v1_interface = {
	"mir_shell_v1", 1,
	6, mir_shell_v1_requests,
	0, NULL,
};

static const struct wl_message mir_regular_surface_v1_requests[] = {
	{ "destroy", "", mir_shell_unstable_v1_types + 0 },
};

WL_PRIVATE const struct wl_interface mir_regular_surface_v1_interface = {
	"mir_regular_surface_v1", 1,
	1, mir_regular_surface_v1_requests,
	0, NULL,
};

static const struct wl_message mir_floating_regular_surface_v1_requests[] = {
	{ "destroy", "", mir_shell_unstable_v1_types + 0 },
};

WL_PRIVATE const struct wl_interface mir_floating_regular_surface_v1_interface = {
	"mir_floating_regular_surface_v1", 1,
	1, mir_floating_regular_surface_v1_requests,
	0, NULL,
};

static const struct wl_message mir_dialog_surface_v1_requests[] = {
	{ "destroy", "", mir_shell_unstable_v1_types + 0 },
};

WL_PRIVATE const struct wl_interface mir_dialog_surface_v1_interface = {
	"mir_dialog_surface_v1", 1,
	1, mir_dialog_surface_v1_requests,
	0, NULL,
};

static const struct wl_message mir_satellite_surface_v1_requests[] = {
	{ "reposition", "ou", mir_shell_unstable_v1_types + 14 },
	{ "destroy", "", mir_shell_unstable_v1_types + 0 },
};

static const struct wl_message mir_satellite_surface_v1_events[] = {
	{ "repositioned", "u", mir_shell_unstable_v1_types + 0 },
};

WL_PRIVATE const struct wl_interface mir_satellite_surface_v1_interface = {
	"mir_satellite_surface_v1", 1,
	2, mir_satellite_surface_v1_requests,
	1, mir_satellite_surface_v1_events,
};

static const struct wl_message mir_positioner_v1_requests[] = {
	{ "destroy", "", mir_shell_unstable_v1_types + 0 },
	{ "set_size", "ii", mir_shell_unstable_v1_types + 0 },
	{ "set_anchor_rect", "iiii", mir_shell_unstable_v1_types + 0 },
	{ "set_anchor", "u", mir_shell_unstable_v1_types + 0 },
	{ "set_gravity", "u", mir_shell_unstable_v1_types + 0 },
	{ "set_constraint_adjustment", "u", mir_shell_unstable_v1_types + 0 },
	{ "set_offset", "ii", mir_shell_unstable_v1_types + 0 },
};

WL_PRIVATE const struct wl_interface mir_positioner_v1_interface = {
	"mir_positioner_v1", 1,
	7, mir_positioner_v1_requests,
	0, NULL,
};

